## dns2tcp 0.5.2

=== debian/changelog ===
dns2tcp (0.5.2-4) unstable; urgency=medium

  * Replaced the init script with a proper systemd service unit with plenty
    of sandboxing. (Closes: #1039179, #670136)
  * Renamed the service unit from dns2tcp to dns2tcpd.
  * Fixed some missing or wrong prototypes. (Closes: #746768)
  * Removed references to unknown programs from the man pages.
    (Closes: #947731)
  * Added myself to the Uploaders.

 -- Marco d'Itri <md@linux.it>  Sat, 30 Aug 2025 22:10:21 +0200

dns2tcp (0.5.2-3) unstable; urgency=medium

  * Bumped DH level to 13.
  * debian/control:
      - Added the Pre-Depends field.
      - Added the init-system-helpers in Depends field.
      - Bumped Standards-Version to 4.5.0.
      - Updated the package description.
        Thanks Justin B Rye. (Closes: #679412)
  * debian/dns2tcp.init:
      - Updated to remove unnecessary $local_fs dependency. (Closes: #542615)
      - Updated to remove OLDDAEMON check.
  * debian/lintian-overrides: added to avoid a lintian false positive.
  * debian/patches:
      - Created the 01_fix_gcc10_issues.patch.
        Thanks Antoni Villalonga. (Closes: #957141)
      - Updated the fix_spelling_errors.patch.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control:
      - Added the simple-test-dns2tcpc.
      - Added the simple-test-dns2tcpd.
  * Ran wrap-and-sort.

 -- Marcio de Souza Oliveira <marciosouza@debian.org>  Tue, 04 Aug 2020 23:00:03 +0000

dns2tcp (0.5.2-2) unstable; urgency=medium

  * New maintainer upload. (Closes: #876950)
    Thanks Arnaud Cornet.
  * Bumped DH level to 12.
  * Created the d/NEWS file.
  * debian/control:
      - Added the Vcs-* fields.
      - Bumped Standards-Version to 4.4.1.
      - Updated Build-Depends.
      - Updated Depends.
      - Updated the maintainer.
  * debian/copyright:
      - Updated to format standard machine-readable.
      - Updated file.
  * debian/rules:
      - Disabled the enabling the daemon on install.
      - Enabled the hardening flags.
  * debian/patches:
      - Created the fix_spelling_errors.patch.
  * debian/watch:
      - Added a fake site to explain about the current
        status of the original upstream homepage.
  * Removed the unnecessary files:
      - debian/compat.
      - debian/dns2tcp.changelogs. (Closes: #504468)
      - debian/dns2tcp.default.
      - debian/dns2tcp.docs.
  * Updated the file d/dns2tcp.init to remove default file check.

 -- Marcio de Souza Oliveira <marciosouza@debian.org>  Mon, 13 Jan 2020 02:58:17 +0000

dns2tcp (0.5.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf in build to support new architectures (Closes: #727359)

 -- Chen Baozi <baozich@gmail.com>  Fri, 06 Jun 2014 14:36:03 +0800

dns2tcp (0.5.2-1) unstable; urgency=low

  * New upstream release
  * Bump standards-version (no change needed).
  * Move home page in control tag rather than description
  * Add $remote_fs dependency in init script.
  * Move upstream changelog to correct place
  * Fix spelling of resources in default config file
  * No need of a -dfsg version anymore, as upstream removed RFC from source,
    and an OpenSSL dependency.
  * Drop buffer-overflow-0.4.1.diff gone upstream.
  * Drop dnsbof.diff gone upstream.
  * Drop strnlen.diff gone upstream.
  * Drop sysfix.diff gone upstream.
  * Drop man-pages.patch gone upstream.
  * Switch to dpkg-source 3.0 (quilt) format
  * Convert from CDBS to dh 7.

 -- Arnaud Cornet <acornet@debian.org>  Tue, 15 Jun 2010 23:23:57 +0100

dns2tcp (0.4.dfsg-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove clashing strnlen declarations. Thanks to Ilya Barygin for the
    patch (Closes: #548044)

 -- Simon Richter <sjr@debian.org>  Fri, 27 Nov 2009 22:10:12 +0100

dns2tcp (0.4.dfsg-5) unstable; urgency=low

  * Fix dnsbof.diff to add an extra check for total_len.

 -- Arnaud Cornet <acornet@debian.org>  Tue, 04 Nov 2008 08:53:43 +0100

dns2tcp (0.4.dfsg-4) unstable; urgency=low

  * Add patch dnsbof.diff to fix a buffer overflow in dns_decode.c (Closes:
    #504121).
  * Add patch sysfix.diff that fixes chroot() and set?id() calls. Also
    makes use of limits to prevent fork of the process.

 -- Arnaud Cornet <acornet@debian.org>  Fri, 31 Oct 2008 19:28:28 +0100

dns2tcp (0.4.dfsg-3) unstable; urgency=low

  * Cleanup debian/patches/buffer-overflow-0.4.1.diff, so that it just fixes
    the security bug CVE-2008-3910.

 -- Arnaud Cornet <acornet@debian.org>  Thu, 04 Sep 2008 21:34:57 +0200

dns2tcp (0.4.dfsg-2) unstable; urgency=low

  * Fix buffer overflow by importing code change from upstream 0.4.1 (Closes:
    #497730).
  * Change my mail address.

 -- Arnaud Cornet <acornet@debian.org>  Wed, 03 Sep 2008 23:16:34 +0200

dns2tcp (0.4.dfsg-1) unstable; urgency=low

  * New Upstream Version.
  * Remove bind-configured-ip.patch, now upstream.
  * Refresh man-pages.patch. Remove file copies now useless in debian/rules,
    as upstream man pages are cleaner.
  * Add watch file.

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Sun, 15 Jul 2007 13:42:17 +0200

dns2tcp (0.3.dfsg-1) unstable; urgency=low

  * Initial release.
  * version is -dfsg because of rfcs included in the source package.

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Mon, 28 May 2007 14:54:18 +0200
