=== debian/control ===
Source: dns2tcp
Section: net
Priority: optional
Maintainer: Marcio de Souza Oliveira <marciosouza@debian.org>
Uploaders:
	Marco d'Itri <md@linux.it>,
Standards-Version: 4.7.2.0
Build-Depends: debhelper-compat (= 13)
Vcs-Browser: https://salsa.debian.org/debian/dns2tcp
Vcs-Git: https://salsa.debian.org/debian/dns2tcp.git

Package: dns2tcp
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: TCP-over-DNS tunnel server and client
 dns2tcp is a set of tools to encapsulate a TCP session in DNS packets.
 This type of encapsulation generates smaller packets than IP-over-DNS,
 improving throughput. The client does not need root privileges.1
