=== debian/tests/control ===
Tests: simple-test-dns2tcpc
Restrictions: allow-stderr

Tests: simple-test-dns2tcpd
Restrictions: allow-stderr
